Loading...
Searching...
No Matches
BitFlagsEngine.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/tables/DataMan/BaseMappedArrayEngine.h>`

Go to the source code of this file.

## Classes

class | casacore::BFEngineMask
| More...
class | casacore::BitFlagsEngine< StoredType >
| Templated virtual column engine to map bit flags to a Bool. More...
struct | casacore::BitFlagsEngine< StoredType >::FlagsToBool
| Functor to and an array and mask and convert to Bool. More...
struct | casacore::BitFlagsEngine< StoredType >::BoolToFlags
| Functor to convert Bools to flags using a mask. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines